Modify

Ticket #363 (closed defect: fixed)

Opened 4 years ago

Last modified 4 years ago

South lists temporary files as migrations

Reported by: nullie Owned by: andrew
Priority: major Milestone: 0.7
Component: commands Version: 0.6-pre
Keywords: Cc:

Description

Probably it should not think that files are directories.

0.6.2:

   * 0001_initial
   * 0002_fix_name
   * 0003_initial_data
   * 0004_fix_euro

stableish

 currency
  ( ) #_ascp_brasp
  (*) 0001_initial
  (*) 0002_fix_name
  (*) 0002_fix_name
  ( ) 0002_initial_data
  ( ) 0002_initial_data
  ( ) 0003_fix_name_in
  (*) 0003_initial_data
  (*) 0003_initial_data
  (*) 0004_fix_euro
  (*) 0004_fix_euro

ls -l

-rw-r--r-- 1 nullie users 2077 2010-02-24 17:14 0001_initial.py
-rw-r--r-- 1 nullie users 2197 2010-02-24 17:14 0001_initial.pyc
-rw-r--r-- 1 nullie users 1520 2010-02-25 11:47 0002_fix_name.py
-rw-r--r-- 1 nullie users 1519 2010-02-25 11:45 0002_fix_name.py~
-rw-r--r-- 1 nullie users 1823 2010-02-25 11:47 0002_fix_name.pyc
-rw-r--r-- 1 nullie users 1427 2010-02-25 10:32 0002_initial_data.py~
-rw-r--r-- 1 nullie users 2685 2010-02-25 11:41 0002_initial_data.pyc
-rw-r--r-- 1 nullie users 1428 2010-02-25 11:42 0003_fix_name_in.py~
-rw-r--r-- 1 nullie users 3013 2010-02-25 11:49 0003_initial_data.py
-rw-r--r-- 1 nullie users 2903 2010-02-25 10:55 0003_initial_data.py~
-rw-r--r-- 1 nullie users 2755 2010-02-25 11:49 0003_initial_data.pyc
-rw-r--r-- 1 nullie users 1856 2010-02-27 15:15 0004_fix_euro.py
-rw-r--r-- 1 nullie users 1429 2010-02-27 14:57 0004_fix_euro.py~
-rw-r--r-- 1 nullie users 2084 2010-02-27 15:15 0004_fix_euro.pyc
-rw-r--r-- 1 nullie users 1937 2010-02-24 16:30 #_ascp_brasp.dev_b_ahome_anullie_awork_arasp_atrunk_acurrency_amigrations_a0001__initial.py#
-rw-r--r-- 1 nullie users    0 2010-02-24 14:51 __init__.py
-rw-r--r-- 1 nullie users  147 2010-02-24 14:51 __init__.pyc

Attachments

fix.diff (2.9 KB) - added by anonymous 4 years ago.

Change History

Changed 4 years ago by anonymous

comment:1 Changed 4 years ago by andrew

  • Status changed from new to infoneeded_new
  • Milestone set to 0.7

This seems to work for me on the latest version (tip, rather than stableish) - I've updated the tag, as well, so could you update and test?

In future, if you're already running off mercurial, it saves me some time if you test on tip (hg up -C tip)!

comment:2 Changed 4 years ago by ilya.novoselov@…

Ok, my cases look fixed, but now it won't list module dirs with SOUTH_USE_PYC == False and will list junk files without dots in them, like #xcvdsrfgdfg#

comment:3 Changed 4 years ago by andrew

  • Status changed from infoneeded_new to new

Fixed in [0225ace1aead].

comment:4 Changed 4 years ago by andrew

  • Status changed from new to closed
  • Resolution set to fixed
View

Add a comment

Modify Ticket

Action
as closed
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.